CREATE OR REPLACE VIEW supplyOffer AS
SELECT sl.supplyLineId,
		ti.name tradeItemName,
		o.commercialName organizationName,
		sl.type,
		sl.salesUnit,
		slvp.pricePerPiece,
		sl.numberOfPieces,
		sl.deliveryPeriodStartDateTime ,
		sl.deliveryPeriodEndDateTime,
		sl.orderPeriodStartDateTime,
		sl.orderPeriodEndDateTime,
		tip.url,
		sl.lastSync
FROM supplyLine sl
	JOIN supplyLineVolumePrice slvp ON slvp.supplyLineId = sl.supplyLineId
	JOIN organization o ON o.organizationId = sl.organizationId
	JOIN tradeItem ti ON ti.tradeItemId = sl.tradeItemId
	JOIN tradeItemPhoto tip ON tip.tradeItemId = ti.tradeItemId
		AND tip.primary
WHERE sl.status = 'AVAILABLE'
	AND NOT sl.isDeleted
	AND NOW() BETWEEN sl.orderPeriodStartDateTime AND sl.orderPeriodEndDateTime
GROUP BY sl.supplyLineId